From: Markus Koschany <apo@debian.org>
Date: Wed, 14 Nov 2018 14:15:33 +0100
Subject: javafx

Build-depend on openjfx artifacts explicitly to fix the FTBFS with OpenJFX 11.

Bug-Debian: https://bugs.debian.org/893345
Forwarded: no
---
 pom.xml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/pom.xml b/pom.xml
index 57cbe99..56ed69c 100644
--- a/pom.xml
+++ b/pom.xml
@@ -136,6 +136,21 @@
 			<artifactId>xmlgraphics-commons</artifactId>
 			<version>2.1</version>
 		</dependency>
+		<dependency>
+			<groupId>org.openjfx</groupId>
+			<artifactId>javafx-controls</artifactId>
+			<version>11</version>
+		</dependency>
+		<dependency>
+			<groupId>org.openjfx</groupId>
+			<artifactId>javafx-graphics</artifactId>
+			<version>11</version>
+		</dependency>
+		<dependency>
+			<groupId>org.openjfx</groupId>
+			<artifactId>javafx-fxml</artifactId>
+			<version>11</version>
+		</dependency>
 		<dependency>
 			<groupId>org.loadui</groupId>
 			<artifactId>testFx</artifactId>
